               JOB  Function 121 -- Atanf
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     x3        equ  99
     *
     * Addresses in ARITF
     *
     acchi     equ  279   Accumulator
     nmlz2     equ  1024  Normalize floating-point result
     strze     equ  1142  Exponent underflow
     exp2      equ  1680  Exponent of accum 2, and zero and RM
     exp1      equ  1683  Exponent of accum 1, and zero
     *
     * Addresses in series routine
     *
     logent    equ  14058
     adr1      equ  14142
     swich1    equ  14149
     adr2      equ  14164
     swich2    equ  14171
     seriex    equ  14187
     B         equ  14250
     C0        equ  14253
     DI        equ  14256
     D0        equ  14259
     *
               ORG  2000
 2000atanf     BE   strze
 2005          MZ   kp1,zas
 2012          ZA   acchi-1&X3,acchi&X3
 2019          S    D0
 2023          S    202&X3
 2027          C    248,acchi&X3
 2034          SAR  x1
 2038          SW   0&X1
 2042          ZA   kp00,250&X3
 2049          MCW  kp00,exp1-1
 2056          MN   exp2-1,exp1-1
 2063          MN
 2064          C    exp1-1,kp00
 2071          BE   zexp             zero exponent
 2076          S    x3,exp1-1
 2083          BM   negex1,exp1-1
 2091          BM   negex2,exp2-1
 2099          B    posexp
 2103negex2    MCW  acchi&X3,201&X3
 2110          A    kp1,exp2-1
 2117          B    2139
 2121posexp    S    exp2-1
 2125seret1    A    pid40&X3,202&X3  series evaluator returns here
 2132seret2    A    pid40&X3,202&X3
 2139seret3    SBR  x2,201&X3        series evaluator returns here
 2146          B    nmlz2
 2150negex1    BM   call3,exp2-1
 2158          MN   kp1,2&X1
 2165shift     ZA   249&X3,250&X3
 2172          S    kp1,exp2-1
 2179          C    exp2-1,kp00
 2186          BL   shift
 2191          D    acchi&X3,249
 2198          C    2&X1,k042
 2205          BH   call1
 2210          ZS   zas
 2214          MCW  247,acchi&X3
 2221          ZA   kp00,250&X3
 2228          B    call2
 2232call1     SBR  seriex&3,seret1
 2239          ZS   zas
 2243          B    go
 2247call3     SBR  seriex&3,seret3
 2254          ZA   exp2-1,exp1-1
 2261          A    exp1-1
 2265          ZS   exp1,D0
 2272          MCW  acchi&X3,247
 2279          B    go
 2283zexp      C    282,k042
 2290          BH   call3
 2295call2     SBR  seriex&3,seret2
 2302          ZS   zas
 2306          MN   kp1,2&X1
 2313          S    acchi&X3,249
 2320          A    kp1,acchi&1
 2327          A    kp00,250&X3
 2334          D    acchi&X3,249
 2341go        LCA  249,w24
 2348          M    w24,252&X3
 2355          ZS   249,acchi&X3
 2362zas       ZA   w24
 2366          ZA   w24,251
 2373          ZA   kp2,C0
 2380          S    B
 2384          ZA   kp1,DI
 2391          SW   swich1,swich2
 2398          SBR  adr1&3,w24
 2405          SBR  adr2&6
 2409          B    logent  evaluate the series
     pid40     equ  *&2
 2436          DCW  078539816339744830961566  pi/40
 2460w24       DCW  #24
 2461kp1       dcw  &1
 2463kp00      dcw  &00
 2466k042      dcw  042
 2467kp2       dcw  &2
               ex
               end
