               JOB  Function 120 -- exponential
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     x3        equ  99
     *
     * Addresses in ARITF
     *
     acchi     equ  279   Accumulator
     nmlz2     equ  1024  Normalize floating-point result
     zas       equ  1087  Set sign of result
     str99     equ  1115  exponent overflow
     strze     equ  1142  Exponent underflow
     ermsg     equ  1471  Print error message
     exp2      equ  1680  Exponent of accum 2, and zero and RM
     exp1      equ  1683  Exponent of accum 1, and zero
     k8        equ  1684
     *
     * Addresses in series routine
     *
     argred    equ  14000  argument reduction
     series    equ  14047  series evaluation
     setone    equ  14191  Set result to 1.0
     ln10      equ  14227
     DI        equ  14256
     D0        equ  14259
     zone      equ  14260
     *
               ORG  2000
 2000expf      MZ   add,zas
 2007          MN   k8,*&8
 2014          BCE  even,k02468,0
 2022          chain4
 2026          MZ   k8,zas
 2033          MN   myk8,k8
 2040even      BW   zrotst,k8
 2048          SW   k8
 2052          ZS   acchi&X3 
 2056          BU   nonzro
 2061          B    ermsg
 2067          DCW  @ZTZ@
 2068zero      MZ   zas,zone
 2075          B    setone
 2079zrotst    BE   zero
 2084          ZA   exp2-1,exp1-1
 2091          S    add,exp1-1
 2098          BM   negexp,exp1-1
 2106          S    kp3,exp1-1
 2113          BM   negex2,exp1-1
 2121nonzro    BM   strze,acchi&X3
 2129          B    ermsg
 2135          DCW  @EOF@
 2136          B    str99
 2140negex2    SBR  x1,ln10-1&X3
 2147          ZA   exp2,x2&1
 2154          B    argred
 2158          C    0&X1,kp99
 2165          BL   nonzro
 2170          ZA   0&X1,exp2-1
 2177          MZ   acchi&X3,exp2-1
 2184          S    D0
 2188test      C    250,acchi&X3
 2195          SAR  x1
 2199          SW   0&X1
 2203          S    251
 2207          MN   add,0&X1
 2214          ZA   kzero,DI
 2221          ZA
 2222          ZA
 2223          B    series
 2227          MZ   202&X3,201&X3
 2234          SBR  x2,201&X3
 2241          B    nmlz2
 2245negexp    A    x3,exp1-1
 2252          BM   zero,exp1-1
 2260          ZS   exp2,D0
 2267          S    exp2-1
 2271          MZ   acchi&X3,acchi-1&X3
 2278          ZA   acchi-1&X3,acchi&X3
 2285          B    test
 2289k0        DCW  0
 2290add       A
 2291kzero     dcw  0
 2293kp99      dc   &99
 2294kp3       dcw  &3
 2299k02468    DCW  @02468@
 2300myk8      dcw  8
               ex
               end
