               JOB  Setup entry for SINF
               CTL  6611
     *
     * Address in table in phase 52A
     *
     sin       equ  903
     *
               ORG  2000
 2000             t sin,4&x2
 2007          dc   @S@  Code for SINF
               ex  
               JOB  Setup entry for COSF
     *
     * Address in table in phase 52A
     *
     cos       equ  903  Same as SIN
     *
               ORG  2000
 2000             t cos,4&x2
 2007          dc   @C@  Code for COSF
               ex
               JOB  Setup entry for LOGF
     *
     * Address in table in phase 52A
     *
     log       equ  900
     *
               ORG  2000
 2000             t log,4&x2
 2007          DC   @G@  Code for LOGF
               ex
               JOB  Setup entry for EXPF
     *
     * Address in table in phase 52A
     *
     exp       equ  897
     *
               ORG  2000
 2000             t exp,4&x2
 2007          DC   @E@  Code for EXPF
               ex
               JOB  Setup entry for ATANF
     *
     * Address in table in phase 52A
     *
     atan      equ  894
     *
               ORG  2000
 2000             t atan,4&x2
 2007          DC   @T@
               ex
               JOB  Setup entry for ABSF
     *
     * Address in table in phase 52A
     *
     abs       equ  891
     *
               ORG  2000
 2000             t abs,4&x2
 2007          DC   @A@  Code for ABSF
               ex
               JOB  Setup entry for Negate -- Must follow ABSF
     *
     * Address in table in phase 52A
     *
     neg       equ  888
     *
               ORG  2000
 2000             t neg,4&x2
 2007          DC   @N@  Code for Negate
               ex
               JOB  Setup entry for XFIXF
     *
     * Address in table in phase 52A
     *
     fix       equ  885
     *
               ORG  2000
 2000             t fix,4&x2
 2007          DC   @X@  Code for XFIXF
               ex
               JOB  Setup entry for FLOATF
     *
     * Address in table in phase 52A
     *
     float     equ  882
     *
               ORG  2000
 2000             t float,4&x2
 2007          DC   @F@  Code for FLOATF
               ex
               JOB  Setup entry for SQRTF
     *
     * Address in table in phase 52A
     *
     sqrt      equ  879
     *
               ORG  2000
 2000             t sqrt,4&x2
 2007          DC   @Q@  Code for SQRTF
               ex
               JOB  Setup entry for user function 01 -- Code R
               ORG  2000
     *
     * Address in table in phase 52A
     *
     user01    equ  876
     *
 2000             t user01,4&x2
 2007          DC   @R@
               ex
               JOB  Setup entry for user function 02 -- Code U
               ORG  2000
     *
     * Address in table in phase 52A
     *
     user02    equ  873
     *
 2000             t user02,4&x2
 2007          DC   @U@
               ex
               JOB  Setup entry for user function 03 -- Code P
     *
     * Address in table in phase 52A
     *
     user03    equ  870
     *
               ORG  2000
 2000             t user03,4&x2
 2007          DC   @P@
               ex
               JOB  Setup entry for user function 04 -- Code W
     *
     * Address in table in phase 52A
     *
     user04    equ  867
     *
               ORG  2000
 2000             t user04,4&x2
 2007          DC   @W@
               ex
               JOB  Setup entry for user function 05 -- Code Y
     *
     * Address in table in phase 52A
     *
     user05    equ  864
     *
               ORG  2000
 2000             t user05,4&x2
 2007          DC   @Y@
               ex
               JOB  Setup entry for user function 06 -- Code Z
     *
     * Address in table in phase 52A
     *
     user06    equ  861
     *
               ORG  2000
 2000             t user06,4&x2
 2007          DC   @Z@
               ex
               JOB  Setup entry for user function 07 -- Code J
     *
     * Address in table in phase 52A
     *
     user07    equ  858
     *
               ORG  2000
 2000             t user07,4&x2
 2007          DC   @J@
               ex
               JOB  Setup entry for user function 08 -- Code K
     *
     * Address in table in phase 52A
     *
     user08    equ  855
     *
               ORG  2000
 2000             t user08,4&x2
 2007          DC   @K@
               ex
               JOB  Setup entry for user function 09 -- Code L
     *
     * Address in table in phase 52A
     *
     user09    equ  852
     *
               ORG  2000
 2000             t user09,4&x2
 2007          DC   @L@
               ex
               JOB  Setup entry for user function 10 -- Code M
     *
     * Address in table in phase 52A
     *
     user10    equ  849
     *
               ORG  2000
 2000             t user10,4&x2
 2007          DC   @M@
               ex
               JOB  Setup entry for user function 11 -- Code D
     *
     * Address in table in phase 52A
     *
     user11    equ  846
     *
               ORG  2000
 2000             t user11,4&x2
 2007          DC   @D@
               ex
               JOB  Setup entry for user function 12 -- Code H
     *
     * Address in table in phase 52A
     *
     user12    equ  843
     *
               ORG  2000
 2000             t user12,4&x2
 2007          DC   @H@
               ex
               JOB  Setup entry for XLINKF
     *
     * Address in table in phase 52A
     *
     xlink     equ  840
     *
               ORG  2000
 2000             t xlink,4&x2
 2007          DC   @I@
               ex
               JOB  End of the table of function entries
               org  106
  110          dcw  @;;;;;@  five semicolons
